Bug 492122 - (mingw32-cairomm) Review Request: mingw32-cairomm - MinGW Windows C++ API for the cairo graphics library
Review Request: mingw32-cairomm - MinGW Windows C++ API for the cairo graphic...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On: mingw32-libsigc++20
Blocks: mingw32-pangomm
  Show dependency treegraph
 
Reported: 2009-03-25 09:40 EDT by Thomas Sailer
Modified: 2009-04-09 12:09 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.6.2-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-03-25 09:40:49 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-cairomm.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-cairomm-1.8.0-1.fc11.src.rpm
Description:
MinGW Windows C++ API for the cairo graphics library

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Kalev Lember 2009-04-07 04:12:55 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1281702

Rpmlint is quiet:

$ rpmlint mingw32-cairomm-1.8.0-1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-cairomm-1.8.0-1.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ OK
! needs attention

+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  LGPLv2+
+ License matches the actual package license
  It is also the same as in the corresponding Fedora cairomm package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
  15c0f56eee57bb418c38463a6297d715  cairomm-1.8.0.tar.gz
  15c0f56eee57bb418c38463a6297d715  SRPM/cairomm-1.8.0.tar.gz
+ Package builds in mock (Fedora Rawhide i586)
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
n/a Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

Note: I am not in packager group, so I cannot set fedora‑review+ flag.
Comment 2 Richard W.M. Jones 2009-04-07 04:19:02 EDT
setting fedora-review+ on the basis of kalev's review
Comment 3 Thomas Sailer 2009-04-07 05:38:46 EDT
New Package CVS Request
=======================
Package Name: mingw32-cairomm
Short Description: MinGW Windows C++ API for the cairo graphics library
Owners: sailer rjones
Branches: F-10
InitialCC:
Comment 4 Thomas Sailer 2009-04-07 05:39:18 EDT
Thank you, Kalev and Richard, for the quick review!
Comment 5 Kevin Fenzi 2009-04-07 22:45:30 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-08 03:20:27 EDT
mingw32-cairomm-1.6.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-cairomm-1.6.2-2.fc10
Comment 7 Fedora Update System 2009-04-09 12:09:26 EDT
mingw32-cairomm-1.6.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.